Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi
Interface TScopeInfo.CorrelationSets.CorrelationSet

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TScopeInfoImpl.CorrelationSetsImpl.CorrelationSetImpl

Enclosing interface:
  TScopeInfo.CorrelationSets

    public static interface TScopeInfo.CorrelationSets.CorrelationSet

extends org.apache.xmlbeans.XmlObject

An XML correlation-set(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

Nested Class Summary
`static class` | `TScopeInfo.CorrelationSets.CorrelationSet.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`TCorrelationProperty` | `addNewCorrelationProperty()` Appends and returns a new empty value (as xml) as the last "correlation-property" element
`TCorrelationProperty[]` | `getCorrelationPropertyArray()` Deprecated.
`TCorrelationProperty` | `getCorrelationPropertyArray(int i)` Gets ith "correlation-property" element
`java.util.List<TCorrelationProperty>` | `getCorrelationPropertyList()` Gets a List of "correlation-property" elements
`java.lang.String` | `getCsetid()` Gets the "csetid" attribute
`java.lang.String` | `getName()` Gets the "name" attribute
`TCorrelationProperty` | `insertNewCorrelationProperty(int i)` Inserts and returns a new empty value (as xml) as the ith "correlation-property" element
`void` | `removeCorrelationProperty(int i)` Removes the ith "correlation-property" element
`void` | `setCorrelationPropertyArray(int i, TCorrelationProperty correlationProperty)` Sets ith "correlation-property" element
`void` | `setCorrelationPropertyArray(TCorrelationProperty[] correlationPropertyArray)` Sets array of all "correlation-property" element
`void` | `setCsetid(java.lang.String csetid)` Sets the "csetid" attribute
`void` | `setName(java.lang.String name)` Sets the "name" attribute
`int` | `sizeOfCorrelationPropertyArray()` Returns number of "correlation-property" element
`org.apache.xmlbeans.XmlString` | `xgetCsetid()` Gets (as xml) the "csetid" attribute
`org.apache.xmlbeans.XmlString` | `xgetName()` Gets (as xml) the "name" attribute
`void` | `xsetCsetid(org.apache.xmlbeans.XmlString csetid)` Sets (as xml) the "csetid" attribute
`void` | `xsetName(org.apache.xmlbeans.XmlString name)` Sets (as xml) the "name" attribute

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getCorrelationPropertyList

    java.util.List<TCorrelationProperty> getCorrelationPropertyList()

  Gets a List of "correlation-property" elements

### getCorrelationPropertyArray

    TCorrelationProperty[] getCorrelationPropertyArray()

  Deprecated.

  Gets array of all "correlation-property" elements

### getCorrelationPropertyArray

    TCorrelationProperty getCorrelationPropertyArray(int i)

  Gets ith "correlation-property" element

### sizeOfCorrelationPropertyArray

    int sizeOfCorrelationPropertyArray()

  Returns number of "correlation-property" element

### setCorrelationPropertyArray

    void setCorrelationPropertyArray(TCorrelationProperty[] correlationPropertyArray)

  Sets array of all "correlation-property" element

### setCorrelationPropertyArray

    void setCorrelationPropertyArray(int i,
                                     TCorrelationProperty correlationProperty)

  Sets ith "correlation-property" element

### insertNewCorrelationProperty

    TCorrelationProperty insertNewCorrelationProperty(int i)

  Inserts and returns a new empty value (as xml) as the ith "correlation-property" element

### addNewCorrelationProperty

    TCorrelationProperty addNewCorrelationProperty()

  Appends and returns a new empty value (as xml) as the last "correlation-property" element

### removeCorrelationProperty

    void removeCorrelationProperty(int i)

  Removes the ith "correlation-property" element

### getName

    java.lang.String getName()

  Gets the "name" attribute

### xgetName

    org.apache.xmlbeans.XmlString xgetName()

  Gets (as xml) the "name" attribute

### setName

    void setName(java.lang.String name)

  Sets the "name" attribute

### xsetName

    void xsetName(org.apache.xmlbeans.XmlString name)

  Sets (as xml) the "name" attribute

### getCsetid

    java.lang.String getCsetid()

  Gets the "csetid" attribute

### xgetCsetid

    org.apache.xmlbeans.XmlString xgetCsetid()

  Gets (as xml) the "csetid" attribute

### setCsetid

    void setCsetid(java.lang.String csetid)

  Sets the "csetid" attribute

### xsetCsetid

    void xsetCsetid(org.apache.xmlbeans.XmlString csetid)

  Sets (as xml) the "csetid" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD